Index: WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 1783)
@@ -4,5 +4,5 @@
                             info_app  context/getApplicationInfo">
       <span tal:condition="python: not info_acco or not info_acco['acco']">
-            <metal:block use-macro="here/error_not_found/macros/not_found" />
+            <span tal:content="here/illegal_view" />
       </span>   
       <span tal:condition="python: info_acco and info_acco['acco']">                   
Index: WAeUP_SRP/trunk/skins/waeup_student/accommodation_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/accommodation_view.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/accommodation_view.pt	(revision 1783)
@@ -1,9 +1,10 @@
-<metal:body use-macro="here/waeup_content_master/macros/master">
+<metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main"
-                tal:define="info context/getAccommodationInfo">
+            tal:define="info context/getAccommodationInfo">
       <span tal:condition="python: not info or not info['acco']">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
+        <span tal:content="here/illegal_view" />
       </span>
       <span tal:condition="python: info and info['acco']">
+
         <div style="text-align: right">
         <a href="" target="slip" tal:attributes="href string:accommodation_slip"
@@ -13,4 +14,9 @@
         </a>
         </div>
+        <a href=""
+           tal:attributes="href string:${here/academicsParent}">
+          <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+          Up one level
+        </a>        
         <h3>My Accommodation Record</h3>
         <br />
Index: WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt	(revision 1783)
@@ -4,8 +4,8 @@
   </span>
 <metal:block tal:condition="info"> 
-  <metal:body use-macro="here/waeup_content_master/macros/master">
+  <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main">
     <span tal:condition="not: info">
-      <metal:block use-macro="here/error_not_found/macros/not_found" />
+      <span tal:content="here/illegal_view" />
     </span>
     <span tal:condition="info"
@@ -21,5 +21,5 @@
       </a>
       </div>          
-          
+  
           
       <h3>This is to inform you that you have been provisionally admitted into University of Benin as follows:
Index: WAeUP_SRP/trunk/skins/waeup_student/application_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_edit_form.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_edit_form.pt	(revision 1783)
@@ -15,11 +15,6 @@
            metadata nothing;
             ">
-  <metal:body use-macro="here/waeup_content_master/macros/master">
+  <metal:body use-macro="here/main_template/macros/master">
     <metal:block fill-slot="header">
-      <a href=""
-         tal:attributes="href string:${here/academicsParent}">
-        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
-        Up one level
-      </a>
       <h3>Update Your Application Data!</h3>
       <br />
Index: WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 1783)
@@ -3,8 +3,7 @@
                 tal:define="info context/getApplicationInfo">
       <span tal:condition="not: info">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
+        <span tal:content="here/illegal_view" />w
       </span>
-      <span tal:condition="info"
-            tal:define="review_state info/review_state">
+      <span tal:condition="info">
             
         <h3>Application Slip</h3>
Index: WAeUP_SRP/trunk/skins/waeup_student/application_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_view.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_view.pt	(revision 1783)
@@ -1,12 +1,11 @@
-<metal:body use-macro="here/waeup_content_master/macros/master">
+<metal:body use-macro="here/main_template/macros/master">
    <metal:main fill-slot="main"
                  tal:define="info context/getApplicationInfo">
       <span tal:condition="not: info">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
+        <span tal:content="here/illegal_view" />
       </span>
-      <span tal:condition="info"
-            tal:define="review_state info/review_state">
+      <span tal:condition="info">
             
-        <div style="text-align: right"
+        <div style="text-align: right" tal:define="review_state info/review_state"
              tal:condition="python:review_state not in ('created','application_pin_entered',)">
         <a href="" target="slip" tal:attributes="href string:application_slip"
@@ -16,6 +15,10 @@
         </a>
         
-        </div>
-
+          </div>
+        <a href=""
+           tal:attributes="href string:${here/academicsParent}">
+          <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+          Up one level
+        </a>
         <h3>My Application Record</h3>
         <br />
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_view.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_view.pt	(revision 1783)
@@ -1,3 +1,3 @@
-<metal:body use-macro="here/waeup_content_master/macros/master">
+<metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main"
                 tal:define="info context/getClearanceInfo;
@@ -6,5 +6,5 @@
                         ">
       <span tal:condition="not: info">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
+        <span tal:content="here/illegal_view" />
       </span>
       <span tal:condition="info"
@@ -18,7 +18,12 @@
             Clearance/Eligibility Slip
         </a>
-        
         </div>
 
+        <a href=""
+           tal:attributes="href string:${here/academicsParent}">
+          <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+          Up one level
+        </a>        
+        
         <h3> 
            <span tal:condition="python:is_so and info">
Index: WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt	(revision 1783)
@@ -1,3 +1,3 @@
-<metal:definetemplate tal:define="template here/waeup_content_master/macros/master">
+<metal:definetemplate tal:define="template here/main_template/macros/master">
 <metal:block define-macro="contact_student_form">
 <metal:body use-macro=template>
Index: WAeUP_SRP/trunk/skins/waeup_student/firsttime_login_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/firsttime_login_form.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/firsttime_login_form.pt	(revision 1783)
@@ -1,23 +1,20 @@
-<tal:block define="rendered_main options/rendered;
-           portal_status_message options/psm;
-           data_storage options/ds;
-           edition python:1;"
-           >
-  <metal:block define-macro="edit_form">
-    <metal:block use-macro="here/content_lib_master/macros/master">
-      <metal:block fill-slot="header"
-                   tal:define="creation creation|nothing;
-                   edition edition|nothing;
-                   metadata metadata|nothing"
-                   >
-      </metal:block>
-      <metal:block fill-slot="main">
-        <h3>First-time login! </h3>
-        <br />
-        <div tal:replace="structure rendered_main" />
-      </metal:block>
-      <metal:block fill-slot="sub">
-      </metal:block>
-    </metal:block>
+<metal:block use-macro="here/main_template/macros/master">
+ <metal:block fill-slot="main"
+         tal:define="rendered_main options/rendered;
+             portal_status_message options/psm;
+             data_storage options/ds;
+             edition python:1;">
+    <h3>Data not yet imported!</h3>
   </metal:block>
-</tal:block>
+  
+  <metal:block fill-slot="mainx" tal:condition="python:0"
+         tal:define="rendered_main options/rendered;
+             portal_status_message options/psm;
+             data_storage options/ds;
+             edition python:1;">
+    <h3>Search Your Record! </h3>
+    <br />
+    <div tal:replace="structure rendered_main" />
+  </metal:block>
+</metal:block>
+
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py	(revision 1783)
@@ -12,4 +12,9 @@
 return Info about the Students StudyCourse
 """
+
+mtool = context.portal_membership
+if mtool.isAnonymousUser():
+    return None
+
 try:
     from Products.zdb import set_trace
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py	(revision 1783)
@@ -12,4 +12,10 @@
 return Info about the Studylevel
 """
+
+wf = context.portal_workflow
+mtool = context.portal_membership
+if mtool.isAnonymousUser():
+    return None
+
 try:
     from Products.zdb import set_trace
@@ -17,4 +23,6 @@
     def set_trace():
         pass
+        
+        
 from Products.AdvancedQuery import Eq, Between, Le,In
 aq_portal = context.portal_catalog.evalAdvancedQuery
@@ -49,10 +57,5 @@
     return -1
 
-
-wf = context.portal_workflow
-mtool = context.portal_membership
 student_id = context.getStudentId()
-
-
 
 info = {}
Index: WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_1.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_1.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_1.pt	(revision 1783)
@@ -5,5 +5,5 @@
               
     <span tal:condition="python: not info or not info.get('paid',False)">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
+        <span tal:content="here/illegal_view" />
     </span>       
     <span tal:condition="info/paid|nothing">   
Index: WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_2.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_2.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_2.pt	(revision 1783)
@@ -4,5 +4,5 @@
 
     <span tal:condition="python: not info or not info.get('paid',False)">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
+        <span tal:content="here/illegal_view" />
     </span>                
     <span tal:condition="info/paid|nothing">                 
Index: WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_3.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_3.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/inter_faculty_transfer_3.pt	(revision 1783)
@@ -4,5 +4,5 @@
 
     <span tal:condition="python: not info or not info.get('paid',False)">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
+        <span tal:content="here/illegal_view" />
     </span>                
     <span tal:condition="info/paid|nothing">                 
Index: WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_1.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_1.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_1.pt	(revision 1783)
@@ -5,5 +5,5 @@
               
     <span tal:condition="python: not info or not info.get('paid',False)">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
+        <span tal:content="here/illegal_view" />
     </span>       
     <span tal:condition="info/paid|nothing">   
Index: WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_2.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_2.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_2.pt	(revision 1783)
@@ -4,5 +4,5 @@
 
     <span tal:condition="python: not info or not info.get('paid',False)">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
+        <span tal:content="here/illegal_view" />
     </span>                
     <span tal:condition="info/paid|nothing">                 
Index: WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_3.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_3.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/intra_faculty_transfer_3.pt	(revision 1783)
@@ -4,5 +4,5 @@
 
     <span tal:condition="python: not info or not info.get('paid',False)">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
+        <span tal:content="here/illegal_view" />
     </span>                
     <span tal:condition="info/paid|nothing">                
Index: WAeUP_SRP/trunk/skins/waeup_student/objection_raised_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/objection_raised_form.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/objection_raised_form.pt	(revision 1783)
@@ -5,5 +5,5 @@
   </span>
 <metal:block tal:condition="info">                         
-  <metal:body use-macro="here/waeup_content_master/macros/master">
+  <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main">
     
Index: WAeUP_SRP/trunk/skins/waeup_student/personal_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/personal_edit_form.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/personal_edit_form.pt	(revision 1783)
@@ -1,4 +1,3 @@
 <metal:body use-macro="here/main_template/macros/master">
-
 
     <metal:main fill-slot="main"
Index: WAeUP_SRP/trunk/skins/waeup_student/personal_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/personal_view.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/personal_view.pt	(revision 1783)
@@ -1,10 +1,14 @@
-<metal:body use-macro="here/waeup_content_master/macros/master">
+<metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main"
                 tal:define="info context/getPersonalInfo">
       <span tal:condition="not: info">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
+        <span tal:content="here/illegal_view" />
       </span>
-      <span tal:condition="info"
-            tal:define="review_state info/review_state">
+      <span tal:condition="info">
+        <a href=""
+           tal:attributes="href string:${here/academicsParent}">
+          <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+          Up one level
+        </a>            
         <h3>My Personal Record</h3>
         <br />
Index: WAeUP_SRP/trunk/skins/waeup_student/pume_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/pume_view.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/pume_view.pt	(revision 1783)
@@ -1,7 +1,7 @@
 <metal:html tal:define="info context/getStudentInfo">
-  <metal:body use-macro="here/waeup_content_master/macros/master">
+  <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main">
       <span tal:condition="not: info">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
+        <span tal:content="here/illegal_view" />
       </span>
       <span tal:condition="info"
Index: WAeUP_SRP/trunk/skins/waeup_student/request_transfer_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/request_transfer_form.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/request_transfer_form.pt	(revision 1783)
@@ -1,3 +1,3 @@
-<metal:block use-macro="here/waeup_content_master/macros/master">
+<metal:block use-macro="here/main_template/macros/master">
     <metal:main fill-slot="header" />
     <metal:main fill-slot="main"
Index: WAeUP_SRP/trunk/skins/waeup_student/study_course_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/study_course_view.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/study_course_view.pt	(revision 1783)
@@ -1,139 +1,142 @@
-<metal:html>
-  <metal:body use-macro="here/waeup_content_master/macros/master">
-    <metal:block fill-slot="header"  
-                 tal:define="global info context/getStudyCourseInfo;
-                 global create_level info/create_level|nothing;
-                 global is_so info/is_so;
-                 "
-                 >
-      <a href=""
-         tal:attributes="href string:${here/academicsParent}">
-        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
-        Up one level
-      </a>
-      <h3> 
-         <span tal:condition="python:is_so and info">
-           <span tal:content="info/student/name" />:
-         </span>
-        <span tal:content="here/title_or_id" />
-      </h3>
-      <br />
-    </metal:block>
-    <metal:main fill-slot="main">
-      <table tal:define="sc python: info['course_doc']">
+<metal:body use-macro="here/main_template/macros/master">
+  <metal:main fill-slot="main"
+              tal:define="global info context/getStudyCourseInfo;">
+
+    <span tal:condition="not: info">
+      <span tal:content="here/illegal_view" />
+    </span>
+    <span tal:condition="info">
+    <span tal:define="create_level info/create_level|nothing;
+                      is_so info/is_so;">               
+    <a href=""
+       tal:attributes="href string:${here/academicsParent}">
+      <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+      Up one level
+    </a>
+    <h3> 
+       <span tal:condition="python:is_so and info">
+         <span tal:content="info/student/name" />:
+       </span>
+      <span tal:content="here/title_or_id" />
+    </h3>
+    <br />  
+
+    <table tal:define="sc python: info['course_doc']">
+      <tr>
+        <td width="220px">Certificate Code:</td> 
+        <td><span tal:content="info/doc/study_course" /></td>
+      </tr>
+      <tr>
+        <td width="220px">Current Session:</td> 
+        <td><span tal:content="python:context.portal_vocabularies.sessions.get(info['doc'].current_session)" /></td>
+      </tr>
+      <tr>
+        <td width="220px">Current Study Level:</td> 
+        <td><span tal:content="python:context.portal_vocabularies.courselevel.get(info['doc'].current_level)" /></td>
+      </tr>
+      <tr>
+        <td width="220px">Current Study Mode:</td> 
+        <td><span tal:content="python:context.portal_vocabularies.entry_modes.get(info['doc'].current_mode)" /></td>
+      </tr>        
+      <tr>
+        <td width="220px">Current Verdict:</td> 
+        <td><span tal:content="info/verdict" /></td>
+      </tr>
+      <tr>
+        <td width="220px">Certificate:</td> 
+        <td><span tal:content="sc/title" /></td>
+      </tr>
+      <tr>
+        <td>Certificate Id:</td>
+        <td tal:content="sc/study_course" />
+      </tr>
+        <span tal:define="f_id sc/faculty;
+        d_id sc/department;
+        f_title context/academics/?f_id/Title|string:Faculty not yet in Prospectus;
+        d_title context/academics/?f_id/?d_id/Title|string:Department not yet in Prospectus"
+        >
+          <tr>
+            <td>Faculty:</td>
+            <td tal:content="f_title" />
+          </tr>
+          <tr>
+            <td>Department:</td> 
+            <td><span tal:content="d_title" /></td>
+          </tr>
+        </span>
+      </table>        
+    
+    <form action="" method="post" class="group" onsubmit="return submit_once()"
+          tal:attributes="action info/action"
+          tal:define="rows python: info['items'];"
+          >
+      <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
+        <tr tal:repeat="row rows"
+          tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+          <td align="left" valign="middle" style="width: 5px;" 
+              tal:condition="python:is_so">
+            <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                   tal:condition="is_so"
+                   tal:define="id row/id"
+                   tal:attributes="value id;
+                   id python:'cb_' + id;
+                   checked python:id in info['choosen_ids'];" 
+                   />
+          </td>
+          <td><a href="view"
+                 tal:attributes="href string:${row/url}">
+            <strong tal:content="row/title" /></a> 
+          </td>
+        </tr>
+      </table>
+      <table width="100%" cellspacing="0" cellpadding="2"
+             summary="contents of the folder"
+             class="folderButtons">
+        <tr tal:condition="python: is_so and info['items']">
+          <td align="left" valign="top" rowspan="3"></td>
+          <td align="left" valign="top">
+            <input type="button" value="button_select_all" class="context"
+                     onclick="someJavaScriptFunctionThatWillBeReplaced"
+                     i18n:attributes="value"
+                     tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                     % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                     />
+            <input type="submit" name="folder_delete:method" value="button_delete"
+                   class="destructive" i18n:attributes="value"
+                   tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                   (cpsmcat('description_confirm_delete'), )" 
+                   />
+          </td>
+        </tr>
+      </table>
+    </form>
+    <form action="" method="post" class="group" onsubmit="return submit_once()"
+          tal:attributes="action string:${context/absolute_url}/create_level"
+          tal:define="rows python: info['items'];"
+          tal:condition="create_level"
+          >
+      <table width="100%" cellspacing="0" cellpadding="2"
+             summary="contents of the folder"
+             class="folderButtons">
         <tr>
-          <td width="220px">Certificate Code:</td> 
-          <td><span tal:content="info/doc/study_course" /></td>
+          <td align="left" valign="top" rowspan="3"></td>
+          <td align="left" valign="top">
+            <input type="submit" name="create_level" 
+                     class="destructive" 
+                     tal:attributes="onclick python:'return window.confirm(\'Do you really want to register for Level %s?\')' % create_level;
+                     value string: Register Courses for Level ${create_level}" 
+                     />
+            <font color="red">
+            <br /><br />
+            Creating the course list may take several minutes. Please be patient, don't click twice!
+            </font>                       
+          </td>
         </tr>
-        <tr>
-          <td width="220px">Current Session:</td> 
-          <td><span tal:content="python:context.portal_vocabularies.sessions.get(info['doc'].current_session)" /></td>
-        </tr>
-        <tr>
-          <td width="220px">Current Study Level:</td> 
-          <td><span tal:content="python:context.portal_vocabularies.courselevel.get(info['doc'].current_level)" /></td>
-        </tr>
-        <tr>
-          <td width="220px">Current Study Mode:</td> 
-          <td><span tal:content="python:context.portal_vocabularies.entry_modes.get(info['doc'].current_mode)" /></td>
-        </tr>        
-        <tr>
-          <td width="220px">Current Verdict:</td> 
-          <td><span tal:content="info/verdict" /></td>
-        </tr>
-        <tr>
-          <td width="220px">Certificate:</td> 
-          <td><span tal:content="sc/title" /></td>
-        </tr>
-        <tr>
-          <td>Certificate Id:</td>
-          <td tal:content="sc/study_course" />
-        </tr>
-          <span tal:define="f_id sc/faculty;
-          d_id sc/department;
-          f_title context/academics/?f_id/Title|string:Faculty not yet in Prospectus;
-          d_title context/academics/?f_id/?d_id/Title|string:Department not yet in Prospectus"
-          >
-            <tr>
-              <td>Faculty:</td>
-              <td tal:content="f_title" />
-            </tr>
-            <tr>
-              <td>Department:</td> 
-              <td><span tal:content="d_title" /></td>
-            </tr>
-          </span>
-        </table>        
-      
-      <form action="" method="post" class="group" onsubmit="return submit_once()"
-            tal:attributes="action info/action"
-            tal:define="rows python: info['items'];"
-            >
-        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
-          <tr tal:repeat="row rows"
-            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td align="left" valign="middle" style="width: 5px;" 
-                tal:condition="python:is_so">
-              <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                     tal:condition="is_so"
-                     tal:define="id row/id"
-                     tal:attributes="value id;
-                     id python:'cb_' + id;
-                     checked python:id in info['choosen_ids'];" 
-                     />
-            </td>
-            <td><a href="view"
-                   tal:attributes="href string:${row/url}">
-              <strong tal:content="row/title" /></a> 
-            </td>
-          </tr>
-        </table>
-        <table width="100%" cellspacing="0" cellpadding="2"
-               summary="contents of the folder"
-               class="folderButtons">
-          <tr tal:condition="python: is_so and info['items']">
-            <td align="left" valign="top" rowspan="3"></td>
-            <td align="left" valign="top">
-              <input type="button" value="button_select_all" class="context"
-                       onclick="someJavaScriptFunctionThatWillBeReplaced"
-                       i18n:attributes="value"
-                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
-                       />
-              <input type="submit" name="folder_delete:method" value="button_delete"
-                     class="destructive" i18n:attributes="value"
-                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                     (cpsmcat('description_confirm_delete'), )" 
-                     />
-            </td>
-          </tr>
-        </table>
-      </form>
-      <form action="" method="post" class="group" onsubmit="return submit_once()"
-            tal:attributes="action string:${context/absolute_url}/create_level"
-            tal:define="rows python: info['items'];"
-            tal:condition="create_level"
-            >
-        <table width="100%" cellspacing="0" cellpadding="2"
-               summary="contents of the folder"
-               class="folderButtons">
-          <tr>
-            <td align="left" valign="top" rowspan="3"></td>
-            <td align="left" valign="top">
-              <input type="submit" name="create_level" 
-                       class="destructive" 
-                       tal:attributes="onclick python:'return window.confirm(\'Do you really want to register for Level %s?\')' % create_level;
-                       value string: Register Courses for Level ${create_level}" 
-                       />
-              <font color="red">
-              <br /><br />
-              Creating the course list may take several minutes. Please be patient, don't click twice!
-              </font>                       
-            </td>
-          </tr>
-        </table>
-      </form>          
-    </metal:main>
- 
-  </metal:body>
-</metal:html>
+      </table>
+    </form>          
+
+  </span>
+  </span>
+  </metal:main>
+</metal:body>
+
Index: WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1783)
@@ -1,227 +1,233 @@
-<metal:html>
-  <metal:body use-macro="here/waeup_content_master/macros/master">
-    <metal:block fill-slot="header" 
-                 tal:define="global info context/getStudyLevelInfo;
-                 global is_so context/isSectionOfficer;
-                 global is_ca info/is_ca;
-                 global show_check_boxes info/show_check_boxes;
-		             global is_student info/is_student;
-		             global status_info info/status_info;
-		             global review_state info/review_state;
-		             global view_only info/view_only">
-      <a href=""
-         tal:attributes="href string:${here/academicsParent}">
-        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
-        Up one level
+<metal:body use-macro="here/main_template/macros/master">
+
+  <metal:main fill-slot="main"
+          tal:define="info context/getStudyLevelInfo;">
+             
+    <span tal:condition="not: info">
+      <span tal:content="here/illegal_view" />
+    </span>
+    <span tal:condition="info">
+    <span tal:define= "is_so context/isSectionOfficer;
+                       is_ca info/is_ca;
+                       show_check_boxes info/show_check_boxes;
+                       is_student info/is_student;
+                       status_info info/status_info;
+                       review_state info/review_state;
+                       view_only info/view_only">       
+          
+          
+    <a href=""
+       tal:attributes="href string:${here/academicsParent}">
+      <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+      Up one level
+    </a>
+            <div style="text-align: right"
+           tal:condition="python:review_state == 'courses_validated'">
+      <a href="" target="slip" tal:attributes="href string:course_registration_slip"
+          onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+          <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+          Course Registration Slip
       </a>
-              <div style="text-align: right"
-             tal:condition="python:review_state == 'courses_validated'">
-        <a href="" target="slip" tal:attributes="href string:course_registration_slip"
-            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
-            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
-            Course Registration Slip
-        </a>
-        
-        </div>
-
-      <h3> 
-        <span tal:condition="python: is_so or is_ca">
-          <span tal:content="info/student/name" />:
-        </span>
-        <span tal:condition="is_student">My </span>
-        
-        Course Registration Form for <span tal:content="here/title_or_id" />
-      </h3>
-
-    </metal:block>
-    <metal:main fill-slot="main" tal:condition="python:1">
-      <form action="." method="post" class="group" onsubmit="return submit_once()">
-        <span tal:condition="info/carry_overs" tal:omit-tag="">
-        <h4>Carryover Courses</h4>
-        <br />
-        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">
-          <tr tal:repeat="row info/carry_overs"
-              tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td align="left" valign="middle" style="width: 5px;"
-                tal:condition="show_check_boxes">
-              <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                     tal:define="id row/id"
-                     tal:attributes="value id;
-                     id python:'cb_' + id;
-                     checked python:id in info['choosen_ids'];" 
-                     />
-            </td>
-            <td width="78%" tal:content="row/title"></td>
-            <td align="center" width="10%" tal:content="row/code"></td>
-            <td align="center" width="2%">S<span tal:content="row/semester" /></td>
-            <td align="center" width="2%" tal:content="row/credits"></td>
-            <td align="center" width="8%" tal:content="row/grade|string:"></td>
-          </tr>
-        </table>
-        </span> 
-        <br />
-        <h4>Session Courses</h4>
-        <br />
-      <div class="" tal:condition="not: info/normal">
-        <font color="red">Your faculty has not yet provided the list of courses for your certificate. Please contact your faculty!</font>
-        <br /><br />
+      
       </div>
-        <table class="contentListing" width="100%" id="folder_content"
-               tal:condition="info/normal">      
-          <tr tal:repeat="row info/normal"
-              tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td align="left" valign="middle" style="width: 5px;"
-	              tal:condition="show_check_boxes">
-              <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                     tal:define="id row/id"
-                     tal:attributes="value id;
-                     id python:'cb_' + id;
-                     checked python:id in info['choosen_ids'];" 
-                     />
-            </td>
-            <td width="78%" tal:content="row/title"></td>
-            <td align="center" width="10%" tal:content="row/code"></td>
-            <td align="center" width="2%">S<span tal:content="row/semester" /></td>
-            <td align="center" width="2%" tal:content="row/credits"></td>
-            <td align="center" width="8%" tal:content="row/coe|nothing"></td>
-          </tr>
-          <tr>
-            <td tal:condition="show_check_boxes" colspan="1"></td>
-            <td colspan="1"></td>
-            <th colspan="2">Total Credits:</th>
-            <td align="center" width="2%" tal:content="info/credits_total"></td>
-          </tr>
-        </table>
-
-        
-      
-        
-        <table tal:condition="python: is_student and review_state == 'school_fee_paid'" width="100%" cellspacing="0" cellpadding="2"
-               class="folderButtons">
-          <tr>
-            <td align="left" valign="top" rowspan="3"></td>
-            <td align="left" valign="top">
-                <input type="submit" name="delete_course_result:method" value="Delete selected"
-                       class="destructive" i18n:attributes="value"
-                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       ('Do you really want to delete selected courses?', )" 
-                       />
-                <input type="submit" name="refresh_level:method"
-                       class="context" value="Update" 
-                       />
-                      
-                       
-                <br /><br />
-                <input tal:condition="info/normal" 
-                       type="submit" name="register_courses:method"
-                       class="context" value="Submit" />
-                       
-                <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
-                       tal:attributes="value string:study_level_view"/>  
-                       
-                <br /><br />
-                
-                <strong>Note:</strong> 'Update' checks for all courses in your certificate and will add them to your course list irrespective of
-                prior deletion, i.e. already deleted courses will show up again. 
-                
-                Please use this function only if you are sure that your faculty has added courses which are not yet on your course list.                                
-                       
-            </td>
-          </tr>
-        </table>
-        <table tal:condition="python:is_so" width="100%" cellspacing="0" cellpadding="2"
-               class="folderButtons">
-          <tr>
-            <td align="left" valign="top" rowspan="3"></td>
-            <td align="left" valign="top">
-                <input type="button" value="Select all" class="context"
-                       onclick="someJavaScriptFunctionThatWillBeReplaced"
-                       i18n:attributes="value"
-                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
-                       />
-                <input type="submit" name="delete_course_result:method" value="Delete selected"
-                       class="destructive" i18n:attributes="value"
-                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       ('Do you really want to delete the courses selected?', )" 
-                       />
-                <input 
-                       type="submit" name="refresh_level:method"
-                       class="context" value="Update" 
-                       />
-                <input tal:condition="python: review_state == 'school_fee_paid'" type="submit" name="register_courses:method"
-                       class="context" value="Submit" />  
-                <input tal:condition="python: review_state == 'courses_registered'" type="submit" name="validate_courses:method"
-                       class="context" value="Validate" />
-                <input tal:condition="python: review_state in ('courses_registered', 'courses_validated',)" type="submit" name="reject_courses:method"
-                       class="context" value="Reject" />
-                       
-                <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
-                       tal:attributes="value string:study_level_view"/>                         
-                <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
-                       tal:attributes="value string:contact_student_form"/>                         
-
-            </td>
-          </tr>
-        </table>
-        <table tal:condition="python:is_ca" width="100%" cellspacing="0" cellpadding="2"
-               class="folderButtons">
-          <tr>
-            <td align="left" valign="top" rowspan="3"></td>
-            <td align="left" valign="top">
-                <input tal:condition="python: review_state == 'school_fee_paid'"
-                       type="button" value="Select all" class="context"
-                       onclick="someJavaScriptFunctionThatWillBeReplaced"
-                       i18n:attributes="value"
-                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
-                       />
-                <input tal:condition="python: review_state == 'school_fee_paid'"
-                       type="submit" name="delete_course_result:method" value="Delete selected"
-                       class="destructive" i18n:attributes="value"
-                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       ('Do you really want to delete the courses selected?', )" 
-                       />
-                <input tal:condition="python: review_state == 'school_fee_paid'"
-                       type="submit" name="refresh_level:method"
-                       class="context" value="Update" 
-                       />
-                <input tal:condition="python: review_state == 'school_fee_paid'" type="submit" name="register_courses:method"
-                       class="context" value="Submit" />  
-                <input tal:condition="python: review_state == 'courses_registered'" type="submit" name="validate_courses:method"
-                       class="context" value="Validate" />
-                <input tal:condition="python: review_state in ('courses_registered', 'courses_validated',)" type="submit" name="reject_courses:method"
-                       class="context" value="Reject" />
-                       
-                <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
-                       tal:attributes="value string:study_level_view"/>                         
-                <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
-                       tal:attributes="value string:contact_student_form"/>    
-                                             
-
-            </td>
-          </tr>
-        </table>
-
-      </form>
+
+    <h3> 
+      <span tal:condition="python: is_so or is_ca">
+        <span tal:content="info/student/name" />:
+      </span>
+      <span tal:condition="is_student">My </span>
+      
+      Course Registration Form for <span tal:content="here/title_or_id" />
+    </h3>
+             
+    <form action="." method="post" class="group" onsubmit="return submit_once()">
+      <span tal:condition="info/carry_overs" tal:omit-tag="">
+      <h4>Carryover Courses</h4>
       <br />
-        <form action="add_course_result" method="post" class="group" onsubmit="return submit_once()"
-            tal:condition="show_check_boxes">
-        <table>
-          <tr>
-            <th>Course Id</th>
-            <td><input type="text" name="course_id" 
-                       tal:attributes="value request/course_id|nothing"/></td>
-            <td colspan="2">
-              <input type="submit" name="add"
-                     class="context" value="Add Course" 
-                     />
+      <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">
+        <tr tal:repeat="row info/carry_overs"
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+          <td align="left" valign="middle" style="width: 5px;"
+              tal:condition="show_check_boxes">
+            <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                   tal:define="id row/id"
+                   tal:attributes="value id;
+                   id python:'cb_' + id;
+                   checked python:id in info['choosen_ids'];" 
+                   />
+          </td>
+          <td width="78%" tal:content="row/title"></td>
+          <td align="center" width="10%" tal:content="row/code"></td>
+          <td align="center" width="2%">S<span tal:content="row/semester" /></td>
+          <td align="center" width="2%" tal:content="row/credits"></td>
+          <td align="center" width="8%" tal:content="row/grade|string:"></td>
+        </tr>
+      </table>
+      </span> 
+      <br />
+      <h4>Session Courses</h4>
+      <br />
+    <div class="" tal:condition="not: info/normal">
+      <font color="red">Your faculty has not yet provided the list of courses for your certificate. Please contact your faculty!</font>
+      <br /><br />
+    </div>
+      <table class="contentListing" width="100%" id="folder_content"
+             tal:condition="info/normal">      
+        <tr tal:repeat="row info/normal"
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+          <td align="left" valign="middle" style="width: 5px;"
+             tal:condition="show_check_boxes">
+            <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                   tal:define="id row/id"
+                   tal:attributes="value id;
+                   id python:'cb_' + id;
+                   checked python:id in info['choosen_ids'];" 
+                   />
+          </td>
+          <td width="78%" tal:content="row/title"></td>
+          <td align="center" width="10%" tal:content="row/code"></td>
+          <td align="center" width="2%">S<span tal:content="row/semester" /></td>
+          <td align="center" width="2%" tal:content="row/credits"></td>
+          <td align="center" width="8%" tal:content="row/coe|nothing"></td>
+        </tr>
+        <tr>
+          <td tal:condition="show_check_boxes" colspan="1"></td>
+          <td colspan="1"></td>
+          <th colspan="2">Total Credits:</th>
+          <td align="center" width="2%" tal:content="info/credits_total"></td>
+        </tr>
+      </table>
+
+      
+    
+      
+      <table tal:condition="python: is_student and review_state == 'school_fee_paid'" width="100%" cellspacing="0" cellpadding="2"
+             class="folderButtons">
+        <tr>
+          <td align="left" valign="top" rowspan="3"></td>
+          <td align="left" valign="top">
+              <input type="submit" name="delete_course_result:method" value="Delete selected"
+                     class="destructive" i18n:attributes="value"
+                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                     ('Do you really want to delete selected courses?', )" 
+                     />
+              <input type="submit" name="refresh_level:method"
+                     class="context" value="Update" 
+                     />
+                    
+                     
+              <br /><br />
+              <input tal:condition="info/normal" 
+                     type="submit" name="register_courses:method"
+                     class="context" value="Submit" />
+                     
               <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
-                       tal:attributes="value string:study_level_view"/>                       
-            </td>                
-        </table>
-        </form>         
-    </metal:main>
-  </metal:body>
-</metal:html>
-  
+                     tal:attributes="value string:study_level_view"/>  
+                     
+              <br /><br />
+              
+              <strong>Note:</strong> 'Update' checks for all courses in your certificate and will add them to your course list irrespective of
+              prior deletion, i.e. already deleted courses will show up again. 
+              
+              Please use this function only if you are sure that your faculty has added courses which are not yet on your course list.                                
+                     
+          </td>
+        </tr>
+      </table>
+      <table tal:condition="python:is_so" width="100%" cellspacing="0" cellpadding="2"
+             class="folderButtons">
+        <tr>
+          <td align="left" valign="top" rowspan="3"></td>
+          <td align="left" valign="top">
+              <input type="button" value="Select all" class="context"
+                     onclick="someJavaScriptFunctionThatWillBeReplaced"
+                     i18n:attributes="value"
+                     tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                     % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                     />
+              <input type="submit" name="delete_course_result:method" value="Delete selected"
+                     class="destructive" i18n:attributes="value"
+                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                     ('Do you really want to delete the courses selected?', )" 
+                     />
+              <input 
+                     type="submit" name="refresh_level:method"
+                     class="context" value="Update" 
+                     />
+              <input tal:condition="python: review_state == 'school_fee_paid'" type="submit" name="register_courses:method"
+                     class="context" value="Submit" />  
+              <input tal:condition="python: review_state == 'courses_registered'" type="submit" name="validate_courses:method"
+                     class="context" value="Validate" />
+              <input tal:condition="python: review_state in ('courses_registered', 'courses_validated',)" type="submit" name="reject_courses:method"
+                     class="context" value="Reject" />
+                     
+              <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                     tal:attributes="value string:study_level_view"/>                         
+              <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
+                     tal:attributes="value string:contact_student_form"/>                         
+
+          </td>
+        </tr>
+      </table>
+      <table tal:condition="python:is_ca" width="100%" cellspacing="0" cellpadding="2"
+             class="folderButtons">
+        <tr>
+          <td align="left" valign="top" rowspan="3"></td>
+          <td align="left" valign="top">
+              <input tal:condition="python: review_state == 'school_fee_paid'"
+                     type="button" value="Select all" class="context"
+                     onclick="someJavaScriptFunctionThatWillBeReplaced"
+                     i18n:attributes="value"
+                     tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                     % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                     />
+              <input tal:condition="python: review_state == 'school_fee_paid'"
+                     type="submit" name="delete_course_result:method" value="Delete selected"
+                     class="destructive" i18n:attributes="value"
+                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                     ('Do you really want to delete the courses selected?', )" 
+                     />
+              <input tal:condition="python: review_state == 'school_fee_paid'"
+                     type="submit" name="refresh_level:method"
+                     class="context" value="Update" 
+                     />
+              <input tal:condition="python: review_state == 'school_fee_paid'" type="submit" name="register_courses:method"
+                     class="context" value="Submit" />  
+              <input tal:condition="python: review_state == 'courses_registered'" type="submit" name="validate_courses:method"
+                     class="context" value="Validate" />
+              <input tal:condition="python: review_state in ('courses_registered', 'courses_validated',)" type="submit" name="reject_courses:method"
+                     class="context" value="Reject" />
+                     
+              <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                     tal:attributes="value string:study_level_view"/>                         
+              <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
+                     tal:attributes="value string:contact_student_form"/>    
+                                           
+
+          </td>
+        </tr>
+      </table>
+
+    </form>
+    <br />
+      <form action="add_course_result" method="post" class="group" onsubmit="return submit_once()"
+          tal:condition="show_check_boxes">
+      <table>
+        <tr>
+          <th>Course Id</th>
+          <td><input type="text" name="course_id" 
+                     tal:attributes="value request/course_id|nothing"/></td>
+          <td colspan="2">
+            <input type="submit" name="add"
+                   class="context" value="Add Course" 
+                   />
+            <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                     tal:attributes="value string:study_level_view"/>                       
+          </td>                
+      </table>
+      </form>   
+  </span>
+  </span>          
+  </metal:main>
+</metal:body>
+
